org.keycloak.authentication

## Class AuthenticatorUtil

- java.lang.Object
- - org.keycloak.authentication.AuthenticatorUtil

-     public class AuthenticatorUtil
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticatorUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthenticationExecutionModel` | `findExecutionByAuthenticator(RealmModel realm, String flowId, String authProviderId)`
    `static List<AuthenticationExecutionModel>` | `getEnabledExecutionsRecursively(RealmModel realm, String flowId)`
    `static boolean` | `isEnabled(RealmModel realm, String flowId, String authProviderId)`
    `static boolean` | `isRequired(RealmModel realm, String flowId, String authProviderId)`
    `static void` | `recurseExecutions(RealmModel realm, String flowId, List<AuthenticationExecutionModel> executions)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticatorUtil

          public AuthenticatorUtil()

  - ### Method Detail

    - #### getEnabledExecutionsRecursively

          public static List<AuthenticationExecutionModel> getEnabledExecutionsRecursively(RealmModel realm,
                                                                                           String flowId)

    - #### recurseExecutions

          public static void recurseExecutions(RealmModel realm,
                                               String flowId,
                                               List<AuthenticationExecutionModel> executions)

    - #### findExecutionByAuthenticator

          public static AuthenticationExecutionModel findExecutionByAuthenticator(RealmModel realm,
                                                                                  String flowId,
                                                                                  String authProviderId)

    - #### isEnabled

          public static boolean isEnabled(RealmModel realm,
                                          String flowId,
                                          String authProviderId)

    - #### isRequired

          public static boolean isRequired(RealmModel realm,
                                           String flowId,
                                           String authProviderId)

Copyright © 2016 JBoss by Red Hat. All rights reserved.